docs

# SuccessfulPayment

data class SuccessfulPayment ( val currency: Currency , val amount: Long , val invoicePayload: String , val telegramPaymentChargeId: String , val providerPaymentChargeId: String , val shippingOptionId: String ? = null, val orderInfo: OrderInfo ? = null) : Amounted, Currencied
Content copied to clipboard

## Constructors

SuccessfulPayment
Link copied to clipboard
fun SuccessfulPayment ( currency: Currency , amount: Long , invoicePayload: String , telegramPaymentChargeId: String , providerPaymentChargeId: String , shippingOptionId: String ? = null, orderInfo: OrderInfo ? = null)
Content copied to clipboard

## Properties

adaptedMajorityTotalAmount
Link copied to clipboard
open val adaptedMajorityTotalAmount : Double
Content copied to clipboard
amount
Link copied to clipboard
open override val amount : Long
Content copied to clipboard
currency
Link copied to clipboard
open override val currency : Currency
Content copied to clipboard
invoicePayload
Link copied to clipboard
val invoicePayload : String
Content copied to clipboard
orderInfo
Link copied to clipboard
val orderInfo : OrderInfo ? = null
Content copied to clipboard
providerPaymentChargeId
Link copied to clipboard
val providerPaymentChargeId : String
Content copied to clipboard
shippingOptionId
Link copied to clipboard
val shippingOptionId : String ? = null
Content copied to clipboard
telegramPaymentChargeId
Link copied to clipboard
val telegramPaymentChargeId : String
Content copied to clipboard